<?php

$title = 'Охота';
include_once 'protected/sys.php';

if (!$user)
{
    header("Location:/");
    exit;
}

if ($user['ohota'] == 0 && $user['ohota_time'] > $config['time'])
{
    $tt = $user['ohota_time'] - time();
    $h = $tt/3600%60;
    $m = $tt/60%60;
    $s = $tt%60;


if (isset($_GET['buy']))
	{
		if ($user['gold'] >=50)
		{
			if($user['vip']=="yes"){
				$c=60;
			} else {
				$c=30;
			}
			$updF = $db->query("UPDATE `users` SET `ohota`='".$c."',`ohota_time`='0',
								`gold`=?
								WHERE `id`=?",
								array(($user['gold']-50),$user['id']));
			$_SESSION['info'] = 'Бои восстановлены!';
		} else {
			$_SESSION['error'] = 'Не хватает золота!';
		}
		header("Location:/ohota");
		exit;
	}




    ?>



    <div class="menu"><center>
        <span class="high">Вам нужно отдохнуть.</span><br />
        <small>Следующий бой через <?=$h;?>ч <?=$m;?>м <?=$s;?>с.</small>
        <div class="wrapper-btn">
            <a class="btn _green w40p" href="?">Обновить</a></center>
        </div>
    </div>
            <div class="wrapper center lh2">
            <span class="high">Дополнительные 10 боев</span>
            <div class="wrapper-btn">
                <a class="btn _blue" href="?buy">Купить за <img src="http://mdrag.ru/style/images/icons/icon_gem.png"> <span class="gems">50</span></a>
            </div>
        </div>
        <div class="menu">
        <div class="user-panel center _skill_hun lh1">
            <span class="high">Навык охотника: </span><span class="ok">50 ур.</span><br />
            <span class="grind">Прогресс:</span>
            <div style="margin-top: 4px" class="progress-bar">
                <div style="width: 60%;" class="progress _blue fl"></div>
            </div>
        </div>
    </div>
    <div class="menu">
        <small>Навык охотника повышается за каждую охоту. Навык повышает шанс встретить необычного врага.</small>
    </div>




    
    <?
    include_once $config['root'].'/protected/footermain.php';
    exit;
}


if (isset($_POST['attack']))
{
    $attack = (int) abs($_POST['attack']);

    $checkUser = $db->rows("SELECT `id` FROM `ohota` WHERE `id`=?",
                            array($attack));

    if ($checkUser == '0')
    {
        $_SESSION['error'] = 'Такой противник не найден!';
        header("Location:/ohota");
        exit;
    }

    $enemy = $db->fetch("SELECT * FROM `ohota` WHERE `id`=?",
                        array($attack));

    $userDMG = round(rand($user['str']/6,$user['str']/4));
    $enemyDMG = round(rand($enemy['str']/6,$enemy['str']/4));

    $userDEF = round(rand($user['def']/4,$user['def']/6));
        $enemyDEF = round(rand($enemy['def']/4,$enemy['def']/6));

    $damageUSER = $userDMG - $enemyDEF;
    $damageENEMY = $enemyDMG - $userDEF;

    if ($damageUSER < 0)
    {
            $damageUSER = rand(1,$user['level']);
    }

    if ($damageENEMY < 0)
    {
        $damageENEMY = rand(1,$enemy['level']);
    }



    if ($damageUSER > $damageENEMY)
    {
        $exp = rand($enemy['level']*5,$user['level']*3);
        $silver = $damageUSER - $damageENEMY *6;
    }
    else
    {
        $exp = 2;
        $silver = 3;
    }



    if ($user['ohota'] - 1 == 0)
    {
        $updateOhota = $db->query("UPDATE `users` SET `ohota_time`=? 
                                    WHERE `id`=?",
                                    array(($config['time']+(3600*2)),
                                          ($user['id'])));

    }

    $updateUser = $db->query("UPDATE `users` SET `exp`=?,`silver`=?,`ohota`=`ohota`-'1' WHERE `id`=?",
                                array(($user['exp']+$exp),
                                      ($user['silver']+$silver),
                                                              ($user['id'])));

$db->query("INSERT INTO `log` SET `user`=?,`type`=?,`text`=?,`time`=?",array($user['id'],"Охота","получил: опыта: $exp и серебра: $silver нанесли: $damageUSER урона" ,time()));

    $log = '<center><div class="menu">
			'.($damageUSER>$damageENEMY ? '<b>ПОБЕДА</b>':'<span class =\'lose\'/>ПОРАЖЕНИЕ</span>').'
			<br/>
			<span class =\'win\'/>Вы нанесли: '.$damageUSER.'
			<img src =\'/imgData/static/str.png\'/> урона </span>
			<br/>
			<span class =\'lose\'/>Вы получили: '.$damageENEMY.'
			<img src =\'/imgData/static/str.png\'/> урона </span>
			<br/>
			За бой вы получили : '.$silver.' <img src = \'/imgData/static/silver.png\'/>
			'.$exp.'<img src = \'/imgData/static/exp.png\'/>
			<br/>
			</div></center>'; 

	$_SESSION['info'] = $log;
	header("Location:/ohota");
	exit;


}
$opponent = $db->fetch("SELECT * FROM `ohota` WHERE  `id`!=? ORDER BY RAND()",
                        array($user['id']));

if ($opponent['wear'] > 0)
{
    $opponentWear = $db->fetch("SELECT * FROM `backpack` WHERE `id`=?",
                                array($opponent['wear']));
} else {
    $opponentWear = 0;
}

?>


<center>
<div class="menu">
<span class=""><img width ='40' height='40' 
        src ='/imgData/ohota/<?=$opponent['image'];?>.jpg'/> </span><br />
        <span class=""><?=$opponent['login'];?></span><br />
 </div>
</center>
<div class ='menu'/><center>
<img src="http://mdrag.ru/style/images/icons/icon_str.png"> <span class="high"><?=$opponent['str'];?></span>
        <img src="http://mdrag.ru/style/images/icons/icon_hp.png"> <span class="high"><?=$opponent['hp'];?></span>
        <img src="http://mdrag.ru/style/images/icons/icon_def.png"> <span class="high"><?=$opponent['def'];?></span><br />
 </center>
   
</div>
<center>
  <div class="wrapper center lh2">
        <span class="high">Доступно <?=$user['ohota']?> боев.</span>
<form action  = '' method='post'/>
    <input type ='hidden' value ='<?=$opponent['id'];?>' name ='attack'/>
    <span class="ubtn inbl green">
        <span class="ul">
            <input class="btn _red w40p" type="submit" value="Атаковать" />
        </span>
    </span>    
</form>

<div class="wrapper">
        <div class="user-panel center _skill_hun lh1">
            <span class="high">Навык охотника: </span><span class="ok">[Б/Т] ур.</span><br />
            <span class="grind">Прогресс:</span>
            <div style="margin-top: 4px" class="progress-bar">
                <div style="width: 100%;" class="progress _blue fl"></div>
            </div>
        </div>
  </div></div></div>
   <div class="menu">
        Навык охотника повышается за каждую охоту. Навык повышает шанс встретить необычного врага.
    </div>

</center>


<?php

include_once $config['root'].'/protected/footermain.php';